<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/messageListItem"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/report_highlight_background"
    android:clickable="true"
    android:gravity="center"
    android:orientation="vertical"
    android:padding="6dp" >

    <RelativeLayout
        android:id="@+id/relativeWrapper"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="left"
        android:gravity="center" >

        <TextView
            android:id="@+id/ID_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:text="Window "
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/ID"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@+id/ID_label"
            android:text="#"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/facing_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/ID"
            android:layout_marginLeft="16dp"
            android:layout_toRightOf="@+id/ID"
            android:text="Faces "
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/facing"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/ID"
            android:layout_toRightOf="@+id/facing_label"
            android:text="NSEW"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/type"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/ID"
            android:layout_marginLeft="16dp"
            android:layout_toRightOf="@+id/facing"
            android:text="TYPE"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/areaLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/ID"
            android:layout_marginTop="2dp"
            android:text="Area:"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/area"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/areaLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/areaLabel"
            android:text="###"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/area_units"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/areaLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/area"
            android:text="ft"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/area_square"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/area_units"
            android:layout_marginTop="-2dp"
            android:layout_toRightOf="@+id/area_units"
            android:text="2"
            android:textColor="@color/off_white"
            android:textSize="6sp" />

        <TextView
            android:id="@+id/shadeLabel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/areaLabel"
            android:layout_marginLeft="24dp"
            android:layout_toRightOf="@+id/area_square"
            android:text="Shade:"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/shade"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/shadeLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/shadeLabel"
            android:text="###"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/shade_units"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/shadeLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/shade"
            android:text="ft"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/shade_square"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/shade_units"
            android:layout_marginTop="-2dp"
            android:layout_toRightOf="@+id/shade_units"
            android:text="2"
            android:textColor="@color/off_white"
            android:textSize="6sp" />

        <TextView
            android:id="@+id/shade_percent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/shadeLabel"
            android:layout_marginLeft="16dp"
            android:layout_toRightOf="@+id/shade_square"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/shade_percent_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/shadeLabel"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/shade_percent"
            android:text="%"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/btu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/shadeLabel"
            android:layout_marginTop="2dp"
            android:text="###"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/btu_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/btu"
            android:layout_toRightOf="@+id/btu"
            android:text=" BTU"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/btu_times_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@+id/btu"
            android:layout_marginLeft="8dp"
            android:layout_toRightOf="@+id/btu_label"
            android:text="x"
            android:textColor="@color/off_white"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/btu_quantity"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/btu"
            android:layout_marginLeft="8dp"
            android:layout_toRightOf="@+id/btu_times_label"
            android:text="##"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/btu_equals"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@+id/btu"
            android:layout_marginLeft="8dp"
            android:layout_toRightOf="@+id/btu_quantity"
            android:text="="
            android:textColor="@color/off_white"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/btu_total"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/btu"
            android:layout_marginLeft="8dp"
            android:layout_toRightOf="@+id/btu_equals"
            android:text="###"
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/btu_total_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/btu"
            android:layout_toRightOf="@+id/btu_total"
            android:text=" BTU"
            android:textColor="@color/off_white"
            android:textSize="14sp" />
    </RelativeLayout>

</LinearLayout>